commit 6d5f550231b57b0fa9d8ec53cc6354961ead358b
Author: Andrew Carlotti <andrew.carlotti@arm.com>
Date:   Fri Nov 1 17:27:38 2024 +0000

    testsuite: Adjust jump threading test expectation
    
    This test started failing on aarch64 after 0cfc9c95 in 2023 ("Phi
    analyzer - Initialize with range instead of a tree.").
    
    The only change visible in the pass dumps prior to thread2 is the upper
    bounds of some ranges are reduced from +INF to 7, consistent with the
    bitamsk information.  After thread2, there are changes in the control
    flow, but only affecting edges that are obviously never taken (from
    basic blocks 6 through 12).  These are cleaned up in the following pass,
    but the final codegen remains different.
    
    There isn't anything obviously wrong with the change in dump output, so
    let's just update the test expectations (as has happened previously
    here).
    
    gcc/testsuite/ChangeLog:
    
            PR tree-optimization/112376
            * gcc.dg/tree-ssa/ssa-dom-thread-7.c: Update expectation.

diff --git a/gcc/testsuite/gcc.dg/tree-ssa/ssa-dom-thread-7.c b/gcc/testsuite/gcc.dg/tree-ssa/ssa-dom-thread-7.c
index 47b8fdfa29a..d84aceebc5d 100644
--- a/gcc/testsuite/gcc.dg/tree-ssa/ssa-dom-thread-7.c
+++ b/gcc/testsuite/gcc.dg/tree-ssa/ssa-dom-thread-7.c
@@ -12,7 +12,7 @@
    jump threading opportunities.  Skip the later tests on aarch64.  */
 /* { dg-final { scan-tree-dump-not "Jumps threaded"  "dom3" { target { ! aarch64*-*-* } } } } */
 /* { dg-final { scan-tree-dump "Jumps threaded: 9"  "thread2" { target { ! aarch64*-*-* } } } } */
-/* { dg-final { scan-tree-dump "Jumps threaded: 18"  "thread2" { target { aarch64*-*-* } } } } */
+/* { dg-final { scan-tree-dump "Jumps threaded: 17"  "thread2" { target { aarch64*-*-* } } } } */
 
 enum STATE {
   S0=0,

